com.mockobjects

## Class ExpectationSet

- java.lang.Object
- - com.mockobjects.AbstractExpectation
  - - com.mockobjects.AbstractExpectationCollection
    - - com.mockobjects.ExpectationSet

- All Implemented Interfaces:
    Expectation, ExpectationCollection, Verifiable

      public class ExpectationSet
      extends AbstractExpectationCollection

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpectationSet(java.lang.String name)`

  - ### Method Summary

    - ### Methods inherited from class com.mockobjects.AbstractExpectationCollection

      `addActual, addActual, addActualMany, addActualMany, addActualMany, addExpected, addExpected, addExpectedMany, addExpectedMany, addExpectedMany, clearActual, setExpectNothing, verify`

    - ### Methods inherited from class com.mockobjects.AbstractExpectation

      `hasExpectations, setFailOnVerify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.mockobjects.Expectation

      `hasExpectations, setFailOnVerify`

- - ### Constructor Detail

    - #### ExpectationSet

          public ExpectationSet(java.lang.String name)

Copyright © 2002 Mock Objects. All Rights Reserved.